Loading...
Searching...
No Matches
Discord Intent Codes

## Variables

const | DiscordWebSocketClient::DI_AUTO_MODERATION_CONFIGURATION = 1 << 20
| Discord intent: message content.
const | DiscordWebSocketClient::DI_AUTO_MODERATION_EXECUTION = 1 << 21
| Discord intent:
const | DiscordWebSocketClient::DI_DIRECT_MESSAGE_REACTIONS = 1 << 13
| Discord intent: direct message reactions.
const | DiscordWebSocketClient::DI_DIRECT_MESSAGE_TYPING = 1 << 14
| Discord intent: direct message typing.
const | DiscordWebSocketClient::DI_DIRECT_MESSAGES = 1 << 12
| Discord intent: DMs.
const | DiscordWebSocketClient::DI_EMOJIS_AND_STICKERS = 1 << 3
| Discord intent: emojis and stickers.
const | DiscordWebSocketClient::DI_GUILD_MESSAGES = 1 << 9
| Discord intent: guild (server) messages.
const | DiscordWebSocketClient::DI_GUILD_SCHEDULED_EVENTS = 1 << 16
| Discord intent: message content.
const | DiscordWebSocketClient::DI_GUILDS = 1 << 0
const | DiscordWebSocketClient::DI_INTEGRATIONS = 1 << 4
| Discord intent: integrations.
const | DiscordWebSocketClient::DI_INVITES = 1 << 6
| Discord intent: invites.
const | DiscordWebSocketClient::DI_MEMBERS = 1 << 1
| Discord intent: members.
const | DiscordWebSocketClient::DI_MESSAGE_CONTENT = 1 << 15
| Discord intent: message content.
const | DiscordWebSocketClient::DI_MESSAGE_REACTIONS = 1 << 10
| Discord intent: message reactions.
const | DiscordWebSocketClient::DI_MESSAGE_TYPING = 1 << 11
| Discord intent: message typing.
const | DiscordWebSocketClient::DI_MODERATION = 1 << 2
| Discord intent: moderation.
const | DiscordWebSocketClient::DI_PRESENCES = 1 << 8
| Discord intent: presences.
const | DiscordWebSocketClient::DI_VOICE_STATES = 1 << 7
| Discord intent: voice states.
const | DiscordWebSocketClient::DI_WEBHOOKS = 1 << 5
| Discord intent: webhooks.

## Detailed Description

## Variable Documentation

## DI_GUILDS

const DiscordWebSocketClient::DI_GUILDS = 1 << 0

Discord intent: guilds